/*
ce programme est l'image en langage C du programme shell suivant:

RESOLV_CONF="/etc/resolv.conf"

[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
[ -n "$subnet" ] && NETMASK="netmask $subnet"

/sbin/ifconfig $interface $ip $BROADCAST $NETMASK

if [ -n "$router" ]
then
	echo "deleting routers"
	while /sbin/route del default gw 0.0.0.0 dev $interface
	do :
	done

	for i in $router
	do
		/sbin/route add default gw $i dev $interface
	done
fi

echo -n > $RESOLV_CONF
[ -n "$domain" ] && echo domain $domain >> $RESOLV_CONF
for i in $dns
do
	echo adding dns $i
	echo nameserver $i >> $RESOLV_CONF
done

*/

#include <stdio.h>
#include <stdlib.h>

#define RESOLV_CONF "/etc/resolv.conf"


int main(int argc, char *argv[])
{
	char * broadcast="";
	char * subnet="";
	
	if ( getenv("broadcast") )
		sprintf( broadcast, "broadcast %s", getenv("broadcast"));
	if ( getenv("subnet") )
		sprintf( subnet, "netmask ", getenv("subnet"));
		
  execl("/sbin/ifconfig", "/sbin/ifconfig", getenv("interface"), getenv("ip"), broadcast, subnet, NULL);
	
	if ( getenv("router") )
		printf("\n%s\n",getenv("router"));
	/*
	{
		printf("Deleting routers...");
    execl("/sbin/route", "/sbin/route", "del", "default", "gw", "0.0.0.0", "dev", getenv("interface"), NULL);
		printf("\t[OK]\n");
		execl("/sbin/route", "/sbin/route", "add", "default", "gw", getenv("router"), "dev", getenv("interface"), NULL); 
	}
	*/
	
		
}
