/*
 * hextodec.c - convert hexa to decimal
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h> /* getopt */
#include <string.h>
#include <limits.h>
#include "busybox.h"


/* globals from other files */
extern int optind;
extern char *optarg;

extern int hextodec_main(int argc, char **argv)
{
	char * p ;
	char * q;
	long int n ; 
	if ((argc != 1) || (! argv[0]) || (! * argv[0])) {
		show_usage();
		return EXIT_FAILURE;
	}
	p = argv[0];
	n = strtol(p, &q, 16);
	if (*q) {
		show_usage();
		return EXIT_FAILURE;
	}
	printf("%d", n);
	return EXIT_SUCCESS;
}
